﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Microsoft.ApplicationServer.Caching;

namespace WebRole.Controllers
{
    public class WaafCacheController : Controller
    {
        DataCache GetClient()
        {
            return new DataCacheFactory().GetDefaultCache();
        }

        [HttpPost]
        public ActionResult StoreValue(string key, string value)
        {
            GetClient().Put(key, value);
            return new EmptyResult();
        }

        [HttpPost]
        public ActionResult FetchValue(string key)
        {
            return Json(GetClient().Get(key));
        }
    }
}
